Package org.eclipse.graphiti.mm.pictograms

## Interface PictogramLink

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `PropertyContainer`

All Known Implementing Classes:
  `ExternalPictogramLink`, `PictogramLinkImpl`

    public interface PictogramLink
    extends PropertyContainer

A representation of the model object 'Pictogram Link'.

The following features are supported:

- `Pictogram Element`
- `Business Objects`

See Also:
  `PictogramsPackage.getPictogramLink()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getBusinessObjects()` Returns the value of the 'Business Objects' reference list.
`PictogramElement` `getPictogramElement()` Returns the value of the 'Pictogram Element' container reference.
`void` `setPictogramElement​(PictogramElement value)` Sets the value of the '`Pictogram Element`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Method Detail

#### getPictogramElement

    PictogramElement getPictogramElement()

Returns the value of the 'Pictogram Element' container reference. It is bidirectional and its opposite is '`Link`'.

If the meaning of the 'Pictogram Element' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Pictogram Element' container reference.
See Also:
  `setPictogramElement(PictogramElement)`, `PictogramsPackage.getPictogramLink_PictogramElement()`, `PictogramElement.getLink()`

#### setPictogramElement

    void setPictogramElement​(PictogramElement value)

Sets the value of the '`Pictogram Element`' container reference.

Parameters:
  `value` - the new value of the 'Pictogram Element' container reference.
See Also:
  `getPictogramElement()`

#### getBusinessObjects

    org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getBusinessObjects()

Returns the value of the 'Business Objects' reference list. The list contents are of type `EObject`.

If the meaning of the 'Business Objects' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Business Objects' reference list.
See Also:
  `PictogramsPackage.getPictogramLink_BusinessObjects()`